Skip to main content
GET
/
contract-types
/
{id}
/
templates
List templates of a contract type
curl --request GET \
  --url https://api.tomorro.com/v2/contract-types/{id}/templates \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "language": "FR",
    "smartFields": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "name": "Contract Start Date",
        "defaultValue": "2024-01-01",
        "isMandatory": true
      }
    ]
  }
]

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key

Path Parameters

id
string
required

The unique identifier (UUID) of the contract type

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

List of templates with smart-fields

id
string
required

Unique identifier of the template.

Example:

"550e8400-e29b-41d4-a716-446655440000"

language
string
required

Language of the template.

Example:

"FR"

smartFields
object[]
required

Smart-fields associated with this template (includes type, document and condition attributes).

Example:
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Contract Start Date",
"defaultValue": "2024-01-01",
"isMandatory": true
}
]